Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezxmlrpcint.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezxmlrpcint.php 3596 2001-02-21 09:32:51Z ce $
5 //
6 // Definition of eZXMLRPCInt class
7 //
8 // B�rd Farstad <bf@ez.no>
9 // Created on: <16-Dec-2000 12:08:19 bf>
10 //
11 // This source file is part of Exponential Basic, publishing software.
12 // Copyright (C) 1999-2000 eZ systems as
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29
32
36 class eZXMLRPCInt
37 {
41 function __construct( $value=0 )
42 {
43 if ( !is_numeric( $value ) )
44 $value = 0;
45
46 $this->Value = $value;
47
48 }
49
53 function &serialize( )
54 {
55 $ret = "<value>";
56 $ret .= "<int>";
57 $ret .= $this->Value;
58 $ret .= "</int>";
59 $ret .= "</value>";
60
61 return $ret;
62 }
63
67 function value()
68 {
69 return $this->Value;
70 }
71
72 // The string value
73 var $Value;
74 }
75
76 ?>
eZXMLRPCInt
Definition: ezxmlrpcint.php:37
eZXMLRPCInt\$Value
$Value
Definition: ezxmlrpcint.php:73
eZXMLRPCInt\__construct
__construct( $value=0)
Definition: ezxmlrpcint.php:41
eZXMLRPCInt\serialize
& serialize()
Definition: ezxmlrpcint.php:53
eZXMLRPCInt\value
value()
Definition: ezxmlrpcint.php:67
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.